RPMLUA(8)

NUME
rpmlua - interpret Lua pentru RPM

SINOPSIS
rpmlua [{-e|--execute} “DECLARAȚIE”] [{-i|--interactive}] [FIȘIER_SCRIPT] [argument1 ...]

DESCRIERE
Rulează interpretul intern Lua al RPM.

Notă: indicii încep de la 1 în Lua, astfel încât numele programului este la arg[1] în loc de indicele zero, mai obișnuit.

-i|--interactive
    Rulează o sesiune interactivă după executarea unui script sau a unei instrucțiuni opționale.

–opts=ȘIR_OPȚIUNI
    Efectuează procesarea opțiunilor getopt(3) asupra argumentelor transmise în conformitate cu ȘIR_OPȚIUNI.

-e|--execute
    Execută o instrucțiune Lua înainte de a executa un script opțional.

EXEMPLE
Execută fișierul script test.lua:

    rpmlua test.lua

Execută fișierul script args.lua cu procesarea opțiunilor:

    rpmlua –opts=ab:c args.lua – 1 2 3 -c -b5

Execută o singură instrucțiune pentru a compara versiunile rpm:

    rpmlua -e “print(rpm.ver(`1.0') < rpm.ver(`2.0'))”

Rulează o sesiune interactivă:

    rpmlua -i

CONSULTAȚI ȘI
lua(1), popt(3), getopt(3), rpm(8)

http://www.rpm.org/ <URL:http://www.rpm.org/>

AUTORI

        Panu Matilainen <pmatilai@redhat.com>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.